#include<bits/stdc++.h>
using namespace std;

int n, q;
int a[200010];
int main() {
    ios_base::sync_with_stdio(false);
    cin.tie(0); cout.tie(0);

    cin >> n >> q;
    for(int i=0; i<n; i++) cin >> a[i];
    sort(a, a+n);
    while(q--) {
        int x; cin >> x;
        int l=lower_bound(a, a+n, x)-a;
        int r=upper_bound(a, a+n, x)-a-1;
        int mid=-n+min(max(2*l, 2*n-2*r), max(2*l+1, 2*n-2*r-1));
        cout << mid << endl;
    }
    return 0;
}